Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.msv.writer
Class XMLWriter

    java.lang.Object
      com.sun.msv.writer.XMLWriter

public class XMLWriter
extends java.lang.Object

Helper class that wraps `DocumentHandler` and provides utility methods.

Note that this class uses DocumentHandler, not ContentHandler. This generally allows the caller better control.

This class throws `SAXRuntimeException`, instead of SAXException.

Constructor Summary
`XMLWriter()`

Method Summary
`void` | `characters(java.lang.String str)`
`void` | `element(java.lang.String name)`
`void` | `element(java.lang.String name, java.lang.String[] attributes)`
`void` | `end(java.lang.String name)`
`org.xml.sax.DocumentHandler` | `getDocumentHandler()`
`void` | `setDocumentHandler(org.xml.sax.DocumentHandler handler)` this DocumentHandler will receive XML.
`void` | `start(java.lang.String name)`
`void` | `start(java.lang.String name, java.lang.String[] attributes)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XMLWriter

    public XMLWriter()

Method Detail

### setDocumentHandler

    public void setDocumentHandler(org.xml.sax.DocumentHandler handler)

  this DocumentHandler will receive XML.

### getDocumentHandler

    public org.xml.sax.DocumentHandler getDocumentHandler()

### element

    public void element(java.lang.String name)

### element

    public void element(java.lang.String name,
                        java.lang.String[] attributes)

### start

    public void start(java.lang.String name)

### start

    public void start(java.lang.String name,
                      java.lang.String[] attributes)

### end

    public void end(java.lang.String name)

### characters

    public void characters(java.lang.String str)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD